

#ifndef __DROIDWORLD__
#define __DROIDWORLD__

#include "droidobject.h"

#define GENERAL_GRAVITY_POWER 0.01f

class DroidWorld
{
public:
    DroidWorld( float w, float h);
    ~DroidWorld();

    void prepeare();
    void release();

    void draw();
    void run( float secsPassed );

    void setMyTransform( DroidObject *o );

    DroidObject *addObject( DroidObject *object );
    void releaseAll();


    // Images
    VGImage imageBall;
    VGImage imageAsteroid;

protected:
    struct SDObjectCapsule
    {
        DroidObject *obj;
        SDObjectCapsule *next;
    };

    SDObjectCapsule *objectList;

        // Screen size
    float width, height;

};


#endif
